* Copyright (c) 1990 by AT&T Bell Telephone Laboratories, Incorporated. */
* The C++ Answer Book */
* Tony Hansen */
* All rights reserved. */
include "nstdio.h"
include <stdlib.h>
nline unsigned long strtoul(const char *nptr, char **endptr, int base)

   return (unsigned long) strtol(nptr, endptr, base);

include "FILE.c"
include "FILE2.c"
include "FILE3.c"
include "clearerr.c"
include "doprint.c"
include "doscan.c"
include "fclose.c"
include "feof.c"
include "ferror.c"
include "fflush.c"
include "fgetc.c"
include "fgets.c"
include "fopen.c"
include "fprintf.c"
include "fputc.c"
include "fputs.c"
include "fread.c"
include "freopen.c"
include "fscanf.c"
include "fwrite.c"
include "getc.c"
include "getchar.c"
include "gets.c"
include "printf.c"
include "putc.c"
include "putchar.c"
include "puts.c"
include "scanf.c"
include "scanset1.c"
include "setbuf.c"
include "sprintf.c"
include "sscanf.c"
include "stdin.c"
include "ungetc.c"
include "vfprintf.c"
include "vfscanf.c"
include "vprintf.c"
include "vscanf.c"
include "vsprintf.c"
include "vsscanf.c"
include "~FILE.c"

ain()

   FILE *tp = fopen("/etc/termcap", "r");
   if (!tp)
{
(void) fprintf (stderr, "cannot open /etc/termcap\n");
exit(1);
}
   else
(void) fprintf (stderr, "openned /etc/termcap\n");

   FILE *op = fopen("/tmp/foo.out", "w");
   if (!op)
{
(void) fprintf (stderr, "cannot open /tmp/foo.out\n");
exit(1);
}
   else
(void) fprintf (stderr, "openned /tmp/foo.out\n");

   int c;
   while ((c = getc(tp)) != EOF)
putc(c, op);

   printf("feof(tp)==%d\n", feof(tp));
   printf("ferror(tp)==%d\n", ferror(tp));
   printf("feof(op)==%d\n", feof(op));
   printf("ferror(op)==%d\n", ferror(op));

   fclose(op);
   fclose(tp);
   (void) fprintf (stderr, "all done\n");

   tp = fopen("/etc/termcap", "r");
   if (!tp)
{
(void) fprintf (stderr, "cannot open /etc/termcap\n");
exit(1);
}
   else
(void) fprintf (stderr, "openned /etc/termcap\n");

   op = fopen("/tmp/foo2.out", "w");
   if (!op)
{
(void) fprintf (stderr, "cannot open /tmp/foo2.out\n");
exit(1);
}
   else
(void) fprintf (stderr, "openned /tmp/foo2.out\n");

   char buf[BUFSIZ];
   while (fgets(buf, sizeof buf, tp))
fputs(buf, op);

   printf("feof(tp)==%d\n", feof(tp));
   printf("ferror(tp)==%d\n", ferror(tp));
   printf("feof(op)==%d\n", feof(op));
   printf("ferror(op)==%d\n", ferror(op));

   fclose(op);
   fclose(tp);
   (void) fprintf (stderr, "all done\n");

   int x;
   int ret = scanf("%d", &x);
   (void) printf("scanf returns %d, x = %d\n", ret, x);
   ret = scanf(" %5[a-d]xyz %d", buf, &x);
   (void) printf("scanf returns %d, buf = '%s', x = %d\n", ret, buf, x);
   return 0;

